# 开发环境配置
spring:
  autoconfigure:
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
  datasource:
    dynamic:
      druid:
        initial-size: 10
        # 初始化大小，最小，最大
        min-idle: 20
        maxActive: 500
        # 配置获取连接等待超时的时间
        maxWait: 60000
        # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        timeBetweenEvictionRunsMillis: 60000
        # 配置一个连接在池中最小生存的时间，单位是毫秒
        minEvictableIdleTimeMillis: 300000
        testWhileIdle: true
        testOnBorrow: false
        validation-query: SELECT 1
        testOnReturn: false
        # 打开PSCache，并且指定每个连接上PSCache的大小
        # 使用sqlLite会出现问题
#        poolPreparedStatements: true
#        maxPoolPreparedStatementPerConnectionSize: 20
        filters: stat,wall
        filter:
          wall:
            config:
              multi-statement-allow: true
              none-base-statement-allow: true
            enabled: true
          stat:
            enabled: true
            # 慢SQL记录
            log-slow-sql: true
            slow-sql-millis: 1000
            merge-sql: true
        # 配置DruidStatFilter
        web-stat-filter:
          enabled: true
          url-pattern: "/*"
          exclusions: "*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*"
        # 配置DruidStatViewServlet
        stat-view-servlet:
          enabled: true
          url-pattern: "/druid/*"
          # IP白名单(没有配置或者为空，则允许所有访问)
          allow:
          # IP黑名单 (存在共同时，deny优先于allow)
          deny:
          #  禁用HTML页面上的“Reset All”功能
          reset-enable: false
          # 登录名
          login-username: ruoyi
          # 登录密码
          login-password: 123456
        query-timeout: 36000
      primary: master
      strict: false
      datasource:
        master:
          url: jdbc:mysql://localhost:3306/ry-admin?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
          username: root
          password: 123456
          driver-class-name: com.mysql.cj.jdbc.Driver
        menu:
          url: jdbc:sqlite:menu/sys_menu.db
          username:
          password:
          driver-class-name: org.sqlite.JDBC
          # 数据源懒加载
          lazy: true
